#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby,systemd

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean

override_dh_systemd_enable:
	dh_systemd_enable -psympl-mail --name sympl-mail-dict-proxy sympl-mail-dict-proxy.service
	dh_systemd_enable -psympl-mail --name sympl-mail-poppassd sympl-mail-poppassd.socket

override_dh_installinit:
	dh_installinit -R --name sympl-mail-dict-proxy
	dh_installinit -R --name sympl-mail-poppassd

